from Products.Archetypes.public import process_types, listTypes
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory

from Products.PloneSVNaccess.config import PROJECTNAME, \
	SKINS_DIR, GLOBALS, PROTOCOLS, add_permission

##
# Add each skin folder here
# registerDirectory(SKINS_DIR + '/newdir', GLOBALS)
registerDirectory(SKINS_DIR + '/PloneSVNaccess', GLOBALS)

##
# Initialize the zope part of the product
#
def initialize(context):	
	import PloneSVNaccessValidation
	from Products.validation import validation
	
	##
	# Adds validation
	#
	isAllowedSVNurl = PloneSVNaccessValidation.AllowedSVNurl("isAllowedSVNurl", PROTOCOLS,)
	validation.register(isAllowedSVNurl)
		
	# Import Types here to register them
	import PloneSVNaccess

	##
	# Adds the new content type
	#
	content_types, constructors, ftis = process_types(
		listTypes(PROJECTNAME), PROJECTNAME)

	utils.ContentInit(
		PROJECTNAME + ' Content',
		content_types = content_types,
		permission = add_permission,
		extra_constructors = constructors,
		fti = ftis,
		).initialize(context)
	
	import PloneSVNaccessTool
	##
	# Adds the Tool
	#
	tools = (PloneSVNaccessTool.PloneSVNaccessTool, )
	utils.ToolInit(
		'PloneSVNaccessTool',
		tools=tools,
		product_name='PloneSVNaccess', 
		icon = 'tool.png',
		).initialize(context)

		